Unable to restore a backup: " The backup was created `multivolume backup` option in Backup Manager. "

Refers to:

  • Plesk 12.0 for Linux

Created:

2016-11-16 13:07:23 UTC

Modified:

2016-12-21 20:00:04 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to restore a backup: " The backup was created `multivolume backup` option in Backup Manager. "

Symptoms

Unable to restore a backup, restoration fails with the warning:

Warning: domain "example.com"
Can not deploy content of domain example.com
Warning:

The backup was created multivolume backup option in Backup Manager.

The following error can be found in /var/log/plesk/PMM/restore-YYYY-MM-DD-hh-mm-ss-XXX/deployer.log

[2015-02-19 14:42:53.601|21864] INFO: Executing utility: perl /tmp/repo_transport_tmp_gsFcfY
[2015-02-19 14:42:53.612|21864] INFO: The utility executed with the return code 1
[2015-02-19 14:42:53.612|21864] INFO: The return code was
No output on STDOUT were performed by the utility
The output on STDERR was:
sh: -c: line 0: syntax error near unexpected token `[^/]+'
sh: -c: line 0: `cat /var/lib/psa/dumps/domains/example.com/backup_name.tgz /var/lib/psa/dumps/domains/example.com/backup_name.tgz1 | /bin/tar -z -f - -xvm --transform s|^([^/]+)|^A| -c /var/qmail/mailnames/example.com --wildcards --files-from=/tmp/repo_transport_tmp_s0ogtt --wildcards --anchored --exclude-from=/tmp/repo_transport_tmp_enkbrd'
256 at /tmp/repo_transport_tmp_gsFcfY line 2.

The version of tar utility on the server is higher than 1.20

# tar --version
tar (GNU tar) 1.23

Cause

Plesk backup manager executes /bin/tar with incorrect options and it leads to restoration fail. This behavior is considered as a software issue with internal id #PPPM-2535 , the fix is considered to be included in one of the next Plesk updates.

Resolution

This issue has been fixed in Plesk MU#38, please install all Plesk updates and try again.

Have more questions? Submit a request
Please sign in to leave a comment.